PKG-DELETE(1)

NAME
pkg delete - deletes a package from the database and the system

SYNOPSIS
pkg delete [-ay]
pkg delete [-yfgxX] <pkg-name> <...>

DESCRIPTION
pkg delete is used for deleting previously installed packages and removes them from the database.

OPTIONS
The following options are supported by pkg delete:

-f  Forces packages to be removed.

-a  Deletes all installed packages from the system and the database.

-y  Assume yes when asked for confirmation before package deletion.

-g  Treat the package names as shell glob patterns.

-x  Treat the package names as regular expressions.

-X  Treat the package names as extended regular expressions.

ENVIRONMENT
The following environment variables affect the execution of pkg delete. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-create(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)